## inkscape-0.92.1.tar.bz2

=== po/CMakeLists.txt ===
file(GLOB LANGUAGES *.po)
foreach(language ${LANGUAGES})
  string(REGEX REPLACE "(.+(\\\\|/))+" "" language ${language})
  string(REGEX REPLACE "\\.po$" "" language ${language})
  set(pofile ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po)
  GETTEXT_PROCESS_PO_FILES(${language} ALL INSTALL_DESTINATION "share/locale/" PO_FILES ${pofile})
endforeach(language)

if(NOT WIN32)

#translates inkscape.desktop
add_custom_target(inkscape_desktop DEPENDS ${CMAKE_BINARY_DIR}/inkscape.desktop)

if(${GETTEXT_VERSION_STRING} VERSION_GREATER "0.19")
    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/inkscape.desktop 
        DEPENDS ${LANGUAGES}
        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --desktop --template ${CMAKE_SOURCE_DIR}/inkscape.desktop.template -d ${CMAKE_CURRENT_SOURCE_DIR} -o ${CMAKE_BINARY_DIR}/inkscape.desktop.template.in --keyword=Name --keyword=GenericName --keyword=X-GNOME-FullName --keyword=Comment --keyword=Keywords
        COMMAND ${CMAKE_COMMAND} -DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR} -DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR} -P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-desktop.cmake
    )
else()
    message("Old gettext version, not translating inkscape.desktop")
    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/inkscape.desktop
        COMMAND cp ${CMAKE_SOURCE_DIR}/inkscape.desktop.template ${CMAKE_BINARY_DIR}/inkscape.desktop.template.in
        COMMAND ${CMAKE_COMMAND} -DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR} -DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR} -P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-desktop.cmake
    )
endif()

add_dependencies(inkscape inkscape_desktop)

endif()

=== testfiles/CMakeLists.txt ===
# -----------------------------------------------------------------------------
#
# -----------------------------------------------------------------------------
add_subdirectory(${GMOCK_DIR} ${CMAKE_BINARY_DIR}/gmock)

include_directories(SYSTEM ${GMOCK_DIR}/gtest/include
                           ${GMOCK_DIR}/include
                           ${CMAKE_SOURCE_DIR}/gtest/gtest/include)

set_source_files_properties(
		${CMAKE_BINARY_DIR}/src/inkscape-version.cpp
		PROPERTIES GENERATED TRUE)

# include_directories(${CMAKE_CURRENT_BINARY_DIR}/__/src)
include_directories(${CMAKE_BINARY_DIR}/src)

add_executable(unittest
	unittest.cpp
	doc-per-case-test.cpp
	src/attributes-test.cpp
	src/color-profile-test.cpp
	src/dir-util-test.cpp
)

target_link_libraries(unittest inkscape_base)

add_dependencies(unittest inkscape_version)

set (_optional_unittest_libs )

if (NOT "${WITH_EXT_GDL}")
	list (APPEND _optional_unittest_libs "gdl_LIB")
endif()

target_link_libraries(unittest
	gmock_main

	# order from automake
	#sp_LIB

	#inkscape_LIB
	#sp_LIB # annoying, we need both!
	nrtype_LIB # annoying, we need both!

	croco_LIB
	avoid_LIB
	${_optional_unittest_libs}
	cola_LIB
	vpsc_LIB
	livarot_LIB
	uemf_LIB
	2geom_LIB
	depixelize_LIB
	util_LIB
	gc_LIB

	${INKSCAPE_LIBS}
)


add_test(BaseTest ${EXECUTABLE_OUTPUT_PATH}/unittest)
add_dependencies(check unittest)

#

=== share/extensions/CMakeLists.txt ===
# Install the set of non-executable data files
file(GLOB _FILES
      "README"
      "fontfix.conf"
      "inkweb.js"
      "jessyInk.js"
      "jessyInk_core_mouseHandler_noclick.js"
      "jessyInk_core_mouseHandler_zoomControl.js"
      "aisvg.xslt"
      "colors.xml"
      "jessyInk_video.svg"
      "seamless_pattern.svg"
      "svg2fxg.xsl"
      "svg2xaml.xsl"
      "xaml2svg.xsl"
      "inkscape.extension.rng"
      "*.inx"
    )

install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions)

# Install the executable scripts
file(GLOB _SCRIPTS
      "*.py"
      "*.pl"
      "*.sh"
      "*.rb"
    )
# These files don't need the +x bit
set(_SCRIPTS_NOEXEC
    "hersheydata.py"
    "hpgl_decoder.py"
    "hpgl_encoder.py"
    "simplepath.py"
    "simplestyle.py"
    "simpletransform.py"
)
list(REMOVE_ITEM _SCRIPTS ${_SCRIPTS_NOEXEC})
install(PROGRAMS ${_SCRIPTS} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions)
install(FILES ${_SCRIPTS_NOEXEC} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions)

file(GLOB _FILES "alphabet_soup/*.svg")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions/alphabet_soup)

file(GLOB _FILES "Barcode/*.py")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions/Barcode)

file(GLOB _FILES "Poly3DObjects/*.obj")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions/Poly3DObjects)

# file(GLOB _FILES
#       "test/*.svg"
#       "test/*.sh"
#       "test/*.py"
#       "test/*.js"
#       "test/run-all-extension-tests"
#     )
# install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions/test)

file(GLOB _FILES "ink2canvas/*.py")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions/ink2canvas)

file(GLOB _FILES "xaml2svg/*.xsl")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/extensions/xaml2svg)

=== share/palettes/CMakeLists.txt ===
set(I18N_FILES "inkscape.gpl" "svg.gpl" "Tango-Palette.gpl")

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/palettes.h
  COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${I18N_FILES} > ${CMAKE_CURRENT_SOURCE_DIR}/palettes.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${I18N_FILES}
)
add_custom_target(palettes_h ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/palettes.h)

file(GLOB _FILES "*.gpl")

install(FILES ${_FILES} "palettes.h" "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/palettes)

=== src/2geom/CMakeLists.txt ===

set(2geom_SRC
	affine.cpp
	basic-intersection.cpp
	bezier.cpp
	bezier-clipping.cpp
	bezier-curve.cpp
	bezier-utils.cpp
	cairo-path-sink.cpp
	circle.cpp
	# conic_section_clipper_impl.cpp
	# conicsec.cpp
	convex-hull.cpp
	coord.cpp
	crossing.cpp
	curve.cpp
	d2-sbasis.cpp
	ellipse.cpp
	elliptical-arc.cpp
	elliptical-arc-from-sbasis.cpp
	geom.cpp
	intersection-graph.cpp
	line.cpp
	nearest-time.cpp
	numeric/matrix.cpp
	path-intersection.cpp
	path-sink.cpp
	path.cpp
	pathvector.cpp
	piecewise.cpp
	point.cpp
	polynomial.cpp
	rect.cpp
	# recursive-bezier-intersection.cpp
	sbasis-2d.cpp
	sbasis-geometric.cpp
	sbasis-math.cpp
	sbasis-poly.cpp
	sbasis-roots.cpp
	sbasis-to-bezier.cpp
	sbasis.cpp
	solve-bezier.cpp
	solve-bezier-one-d.cpp
	solve-bezier-parametric.cpp
	svg-path-parser.cpp
	svg-path-writer.cpp
	sweep-bounds.cpp
	toposweep.cpp
	transforms.cpp
	utils.cpp


	# -------
	2geom.h
	# Headers
	affine.h
	angle.h
	basic-intersection.h
	bezier-curve.h
	bezier-to-sbasis.h
	bezier-utils.h
	bezier.h
	choose.h
	circle.h
	concepts.h
	conic_section_clipper.h
	conic_section_clipper_cr.h
	conic_section_clipper_impl.h
	conicsec.h
	coord.h
	crossing.h
	curve.h
	curves.h
	d2.h
	ellipse.h
	elliptical-arc.h
	exception.h
	forward.h
	generic-interval.h
	generic-rect.h
	geom.h
	int-interval.h
	int-point.h
	int-rect.h
	interval.h
	line.h
	linear.h
	math-utils.h
	ord.h
	path-intersection.h
	path-sink.h
	path.h
	pathvector.h
	piecewise.h
	point.h
	polynomial.h
	ray.h
	rect.h
	sbasis-2d.h
	sbasis-curve.h
	sbasis-geometric.h
	sbasis-math.h
	sbasis-poly.h
	sbasis-to-bezier.h
	sbasis.h
	solver.h
	svg-path-parser.h
	svg-path-writer.h
	sweeper.h
	sweep-bounds.h
	toposweep.h
	transforms.h
	utils.h

	numeric/fitting-model.h
	numeric/fitting-tool.h
	numeric/linear_system.h
	numeric/matrix.h
	numeric/symmetric-matrix-fs-operation.h
	numeric/symmetric-matrix-fs-trace.h
	numeric/symmetric-matrix-fs.h
	numeric/vector.h
)

# make lib for 2geom_LIB
add_inkscape_lib(2geom_LIB "${2geom_SRC}")

=== packaging/macosx/ports/devel/inkscape-packaging/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: $

PortSystem                  1.0

name                        inkscape-packaging
version                     0.91
revision                    101
 
categories                  devel graphics
platforms                   darwin
license                     GPL-2
supported_archs             noarch
 
maintainers                 users.sf.net:suv-sf

description                 Dependencies for Inkscape.app
long_description            ${description}
 
homepage                    http://inkscape.org

# this is a metaport - no fetch, configure and build phases
master_sites
distfiles
use_configure no
build {}
destroot {
    # Create a dummy file so the port can be successfully activated
    xinstall -d ${destroot}${prefix}/share/doc/${name}
    set docfile [open ${destroot}${prefix}/share/doc/${name}/README.txt "w"]
    puts $docfile "Inkscape packaging ${version} (meta port for all dependencies)\n"
    close $docfile
}

# build dependencies
depends_build               port:bzr \
                            port:autoconf \
                            port:automake \
                            port:pkgconfig \
                            port:libtool \
                            port:intltool \
                            port:perl5

# core dependencies
depends_build-append        port:popt \
                            port:boehmgc \
                            port:gsl \
                            port:lcms2 \
                            port:gtkmm \
                            port:boost \
                            port:ImageMagick \
                            port:gtkspell2 \
                            port:aspell-dict-en \
                            port:poppler \
                            port:potrace

# ports for Inkscape.app
depends_build-append        port:gnome-icon-theme \
                            port:gnome-icon-theme-symbolic \
                            port:icon-naming-utils \
                            port:gnome-themes-standard \
                            port:gtk-engines2 \
                            port:gtk2-murrine

# ports for python extensions
depends_build-append        port:py27-lxml \
                            port:py27-numpy \
                            port:py27-Pillow \
                            port:py27-uniconvertor \
                            port:py27-serial \
                            port:py27-pygtk

if {${os.major} <= 10} {
    # ports for python extensions on Snow Leopard and Leopard
    depends_build-append    port:py26-lxml \
                            port:py26-numpy \
                            port:py26-Pillow \
                            port:py26-uniconvertor
}
if {${os.major} == 9} {
    # ports for python extensions build deps on Leopard
    depends_build-append    port:gawk \
                            port:py25-lxml \
                            port:py25-numpy \
                            port:py25-Pillow \
                            port:py25-uniconvertor
}
if {${os.major} < 9} {
    # we don't support Tiger anymore
    return -code error "Mac OS X <= 10.4 not supported."
}

# optional features
variant libwpd conflicts librevenge description {use libpwd for WPG, CDR, VSD} {
depends_build-append        port:libcdr \
                            port:libvisio \
                            port:libwpg
}

variant librevenge conflicts libwpd description {use librevenge for WPG, CDR, VSD} {
depends_build-append        port:libcdr-0.1 \
                            port:libvisio-0.1 \
                            port:libwpg-0.3
}

variant gnome_vfs description {with gnome-vfs (deprecated)} {
    depends_build-append    port:gnome-vfs
}

variant gvfs description {with gvfs} {
    depends_build-append    port:gvfs
}

variant dbus description {with dbus} {
    depends_build-append    port:dbus \
                            port:dbus-glib \
                            port:dbus-python27
}

# variants
universal_variant           no

default_variants-append     +gnome_vfs +librevenge

# livecheck
livecheck.type              none

=== packaging/macosx/ports/python/py-Pillow/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 124123 2014-08-19 13:57:18Z stromnov@macports.org $

PortSystem          1.0
PortGroup           python 1.0

name                py-Pillow
version             2.5.3
revision            100
categories-append   devel
platforms           darwin
license             BSD

python.versions     26 27 32 33 34

maintainers         stromnov openmaintainer

description         Python Imaging Library (fork)

long_description    ${description}

homepage            http://github.com/python-imaging/Pillow
master_sites        http://pypi.python.org/packages/source/P/Pillow/

distname            Pillow-${version}

checksums           rmd160  f10cda34a62022edf3bfe626096b6bc009a74dc8 \
                    sha256  62ff6c6cb88d4a1d6e856315b1691186b06cb923f18fde86d6abac9eeb9096d1

if {${name} ne ${subport}} {
    use_zip             yes

    conflicts           py${python.version}-pil

    depends_build       port:py${python.version}-setuptools
    depends_lib-append \
                        port:zlib \
                        port:jpeg \
                        port:tiff \
                        port:lcms \
                        port:webp \
                        port:openjpeg \
                        port:freetype

    patchfiles          patch-setup.py.diff

    post-patch {
        reinplace "s|@prefix@|${prefix}|g" ${worksrcpath}/setup.py
    }

    livecheck.type      none
} else {
    livecheck.type      regex
    livecheck.url       ${master_sites}
    livecheck.regex     {Pillow-(\d+(?:\.\d+)*)\.[tz]}
}

variant quartz conflicts x11 tkinter {
    # tkinter doesn't build
}

variant x11 conflicts quartz {
    # tkinter does build
}

variant tkinter description {with tkinter support} {
    if {$subport != $name} {
        depends_lib-append  port:py${python.version}-tkinter
    }
}

if { ![variant_isset quartz] } {
    default_variants-append +tkinter
}
